
## `kubectl` image

An `alpine` image with `kubectl` installed

See https://blog.jbrumond.me/post/raspberry-pi-cluster-part-4:-gitea-and-drone for more info



### Drone CI Usage

```yaml
steps:
- name: deploy
  image: gitea.internal.example.com/examples/kubectl:1.24
  environment:
    KUBERNETES_SERVER: https://k8s-cluster-api.example:6443
    KUBERNETES_TOKEN:
      from_secret: kubernetes-service-account-token
    KUBERNETES_CERT:
      from_secret: kubernetes-service-account-cert
  commands:
  - /bin/kubectl-setup
  - kubectl set image "deployment/example-deployment" "example-container=gitea.internal.example.com/images/example-image"
  - kubectl rollout restart "deployment/example-deployment"
  - kubectl rollout status "deployment/example-deployment"
```
